LXD(-)

Auto generated by spf13/cobra

NAME

lxc-list - List containers

SYNOPSIS

lxc list [:] [...] [flags]

DESCRIPTION

Description:
  List containers

Default column layout: ns46tS
  Fast column layout: nsacPt

== Filters ==
  A single keyword like "web" which will list any container with a name starting by "web".
  A regular expression on the container name. (e.g. .*web.*01$).
  A key/value pair referring to a configuration item. For those, the
  namespace can be abbreviated to the smallest unambiguous identifier.

Examples:
    - "user.blah=abc" will list all containers with the "blah" user property set to "abc".
    - "u.blah=abc" will do the same
    - "security.privileged=true" will list all privileged containers
    - "s.privileged=true" will do the same

A regular expression matching a configuration item or its value. (e.g. volatile.eth0.hwaddr=00:16:3e:.*).

== Columns ==
  The -c option takes a comma separated list of arguments that control
  which container attributes to output when displaying in table or csv
  format.

Column arguments are either pre-defined shorthand chars (see below),
  or (extended) config keys.

Commas between consecutive shorthand chars are optional.

Pre-defined column shorthand chars:
    4 - IPv4 address
    6 - IPv6 address
    a - Architecture
    b - Storage pool
    c - Creation date
    d - Description
    l - Last used date
    n - Name
    N - Number of Processes
    p - PID of the container's init process
    P - Profiles
    s - State
    S - Number of snapshots
    t - Type (persistent or ephemeral)
    L - Location of the container (e.g. its cluster member)

Custom columns are defined with "key[:name][:maxWidth]":
    KEY: The (extended) config key to display
    NAME: Name to display in the column header.
    Defaults to the key if not specified or empty.

    MAXWIDTH: Max width of the column (longer results are truncated).
    Defaults to -1 (unlimited). Use 0 to limit to the column header size.

OPTIONS

-c, --columns="ns46tSL"
    Columns``

--fast[=false]
    Fast mode (same as --columns=nsacPt)

--format="table"
    Format (csv|json|table|yaml)``

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE

      lxc list -c n,volatile.base_image:"BASE IMAGE":0,s46,volatile.eth0.hwaddr:MAC
        Show containers using the "NAME", "BASE IMAGE", "STATE", "IPV4", "IPV6" and "MAC" columns.
        "BASE IMAGE" and "MAC" are custom columns generated from container configuration keys.
      lxc list -c ns,user.comment:comment
        List images with their running state and user comment.

SEE ALSO

lxc(1)

HISTORY

24-Mar-2022 Auto generated by spf13/cobra